Package com.sas.lsaf.query.security.membership

## Class MembershipQuery

- java.lang.Object
- - com.sas.lsaf.query.Query
  - - com.sas.lsaf.query.security.membership.MembershipQuery

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `ContextMembershipQuery`, `DistinctContextMembershipQuery`

      public abstract class MembershipQuery
      extends Query

  This abstract class represents core columns to query membership information.
  Since:
    2.5
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.util.List<Column>` | `ALL` |
    `static Column` | `CONTEXT_QUERIED` | The column that represents the path of the context that was queried for membership information.
    `static Column` | `EXPLICIT` | The column that represents whether the member is explicit.
    `static Column` | `PRINCIPAL_NAME` | The column that represents the name of the member.
    `static Column` | `PRINCIPAL_TYPE` | The column that represents the type of member.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MembershipQuery​(java.lang.String contextPath)` | The constructor with all of the required fields.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getContextPath()` | Gets the path of the context in which to query membership information.

    - ### Methods inherited from class com.sas.lsaf.query.Query

      `constrain, getColumns, getConstraint, getOrder, includeColumnNames, isIncludeColumnNames, order, order, select, select, setColumns, setConstraint, setIncludeColumnNames, setOrder, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CONTEXT_QUERIED

          public static final Column CONTEXT_QUERIED

      The column that represents the path of the context that was queried for membership information.

    - #### PRINCIPAL_NAME

          public static final Column PRINCIPAL_NAME

      The column that represents the name of the member. A member can be a user or a group.

    - #### PRINCIPAL_TYPE

          public static final Column PRINCIPAL_TYPE

      The column that represents the type of member. A member can be a user or a group.

    - #### EXPLICIT

          public static final Column EXPLICIT

      The column that represents whether the member is explicit. A member is explicit when they are assigned or defined directly at the context. A member is not explicit when they are a member only because they are part of a group.

    - #### ALL

          public static final java.util.List<Column> ALL

  - ### Constructor Detail

    - #### MembershipQuery

          public MembershipQuery​(java.lang.String contextPath)

      The constructor with all of the required fields.
      Parameters:
        `contextPath` - The path of the context in which to query membership information.

  - ### Method Detail

    - #### getContextPath

          public java.lang.String getContextPath()

      Gets the path of the context in which to query membership information.
      Returns:
        The path of the context in which to query membership information.